Bug 1917814 - Show Broker create option in eventing under admin perspective
Summary: Show Broker create option in eventing under admin perspective
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-19 12:37 UTC by Jaivardhan Kumar
Modified: 2021-02-24 15:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:54:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7869 0 None closed Bug 1917814: adds create option for broker from admin serverless eventing 2021-01-25 10:20:28 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:54:59 UTC

Description Jaivardhan Kumar 2021-01-19 12:37:31 UTC
Description of problem: Show Broker create option in eventing under admin perspective

Prerequisites (if any, like setup, operators/versions): Install Serverless operator

Steps to Reproduce
1. Go to Admin Perspective
2. Serverless -> Eventing
3. It has option to create Channel / EventSources but no broker

Actual results: it has option to create Channel / EventSources but no broker

Expected results: it should have option to create broker alongwith Channel / EventSources

Reproducibility (Always/Intermittent/Only Once): Always

Build Details:4.7.0-0.nightly-2021-01-13-054018

Additional info: Broker creation needed namespace label injection before which is not the case anymore
https://knative.dev/docs/eventing/broker/
https://redhat-developer-demos.github.io/knative-tutorial/knative-tutorial/eventing/eventing-trigger-broker.html#broker

Comment 2 Debsmita Santra 2021-01-25 10:21:41 UTC
verified on build 4.7.0-0.nightly-2021-01-21-215614

Comment 5 errata-xmlrpc 2021-02-24 15:54:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.